
import 'dart:html';

import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

import 'navigation_page.dart';

class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: Center(
        child: TextButton(
          onPressed: () {
            if (kIsWeb) {
              window.open(
                  "https:////uri.amap.com/navigation?from=116.478346,39.997361&to=116.3246,39.966577",
                  '_blank');
            } else {
              Navigator.push(
                  context,
                  CupertinoPageRoute(
                      builder: (context) => const NavigationPage()));
            }
          },
          child: const Text("开始导航"),
        ),
      ),
    );
  }
}
