import 'package:clx_map_navigation/amap_navigation_widget.dart';
import 'package:flutter/material.dart';

import 'map_config.dart';

class NavigationPage extends StatelessWidget {
  const NavigationPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: const AMapNavigationWidget(
        apiKey: AMapConfig.aMapApiKeys,
        // startPoint: { "latitude": 39.993135, "longitude": 116.474175 },
        // endPoint: { "latitude": 39.908791, "longitude": 116.321257 },
        startPoint: { "latitude": 37.820494, "longitude": 112.586248 },
        endPoint: { "latitude": 39.911328, "longitude": 116.152583 },
        onMapClosed: AMapConfig.onMapClosed,
      ),
    );
  }
}
